DirectX Uninstaller by ebrink

DirectX Uninstaller Help

Make sure that you restart the machine before you run the uninstaller.

USE AT YOUR OWN RISK!

Overview: This Uninstaller was developed to remove DirectX from Windows 9x machines without the hassle of reformatting your hard drive.

This Uninstaller may not be effective on all machines and configurations.

Use this tool ONLY as a last resort before reformatting your hard drive and reinstalling Windows 9x. The only foolproof way to uninstall DirectX is to re-format your hard drive and reinstall Windows, as suggested by Microsoft.

NOT for use with Windows Millennium or any versions of Win NT, including Windows 2000.

-ebrink


Step by Step Instructions

Backup your registry. (Create a folder on your harddrive and copy the user.dat and system.dat files from your C:\Windows directory.)

Backup the sysbckup folder. (Create a folder on your harddrive and copy the sysbckup folder from your C:\Windows directory.)

Download the DirectX Uninstaller from the DirectX Uninstaller website and run it to install the inf file to your system.

Restart your computer in "Safe-Mode". Very Important! (This will take ddraw and any other DirectX files out of memory.)

Click on "shortcut to inf file" in your Program group. This will open the folder containing the inf file.

Run the inf file by right-clicking it and selecting "install". (As shown below.)

Run dxdiag.exe to verify that all DirectX components have been removed.

Restart. (Win98 users: you may see a dialog box upon restart.)

Reinstall the DirectX version that you need.

The Uninstaller will remove any version of DirectX from Windows 95, Windows 95a, or Windows 95b (OSR2) machines.

If you are a Windows 98 or Windows 98 SE user and wish to restore DirectX 5.2, 6.0, 6.1, or 6.1a, you will need to reinstall Windows 98. Why?


Troubleshooting

Running the Uninstaller may reset your Desktop Background to your previous selection. So, take note of your current background selection.

Incorrectly installed monitor drivers can cause some games using DirectX to fail to launch. This can be corrected by reinstalling the correct monitor driver for your monitor. If your monitor did not come with a driver disk, choose Plug n Play monitor as your driver.

If your joystick is not recognized after reinstalling DirectX. This may fixed by reinstalling your Sound Card drivers.

  1. Remove your sound card in the Device Manager
  2. Shut down your computer.
  3. Turn your computer and let Windows find your sound card.
  4. Reinstall the latest Sound Card driver.

Some Video Cards and Sound Cards do not support DirectX. Try to contact the appropriate manufacturer or computer vendor for the latest drivers. I have a small list of manufacturer sites on my links page: http://www.ebrink.com/dxun/links.html

Windows 98 and Windows Second Edition require DirectX to function correctly. To avoid a system instability, always reinstall some version of DirectX after running my Uninstaller.

On some machines, while in safe-mode, the option "install" does not appear after right-clicking the inf file. To run the installer, copy and paste the following to the run line:

C:\WINDOWS\rundll.exe setupx.dll,InstallHinfSection DefaultInstall 132 "Path to inf file\.inf"
(Example):
C:\WINDOWS\rundll.exe setupx.dll,InstallHinfSection DefaultInstall 132 "C:\Program Files\DirectX Uninstaller v.13\DxUnVer13.inf"

I have a Frequently asked questions page at: http://www.ebrink.com/dxun/faq.html

For easy-to-follow instructions, click here: http://www.ebrink.com/dxun/instructions.html

If you have any more questions about DirectX, visit: http://www.microsoft.com/directx/default.asp

For the latest news and/or developments about my Uninstaller visit: http://www.ebrink.com/dxun/news.html


What version of Windows 98 do I have?

Right-Click the My Computer icon on your desktop and select Properties.

The Windows version number.

4.10.1998 - Windows 98 (First Edition) - Shipped with DirectX 5.2

4.10.2222 - Windows 98 (Second Edition) - Shipped with DirectX 6.1a


Questions or Comments?

You can contact me by:

email:
dxun@hotmail.com

ICQ: UIN# 4171478

Contact Page:
http://wwp.mirabilis.com/4171478

Or visit my website at:
http://www.ebrink.com/dxun/index.html


Why reinstall Windows 98?

Why do I have to reinstall Windows 98 just to remove DirectX?

My Uninstaller will remove Direct Input and Direct Sound.
DirectX installers versions 6.1a and below do NOT replace the Direct Input or Direct Sound files on Windows 98.
The only way to restore these files is to reinstall Windows 98.
Manually restoring these files has proven to be ineffective.